Microsoft Project Oxford client SDK and samples
====================================

This repo contains the client libraries and samples that demonstrate the [Microsoft Project
Oxford APIs](<https://www.projectoxford.ai>), an evolving portfolio of REST APIs
that enable developers to leverage the power of Microsoft's natural data
understanding and easily add intelligent services into their solutions. The
Project Oxford APIs are divided into four areas:  
 

| [Face API](<https://www.projectoxford.ai/face>) (Beta) | [Emotion API](<https://www.projectoxford.ai/emotion>) (Beta) | [Computer Vision API](<https://www.projectoxford.ai/vision>) (Beta) | [Speech API](<https://www.projectoxford.ai/speech>) (Beta) | [Language Understanding Intelligent Service](<https://www.projectoxford.ai/luis>) (Beta) |
|----------------------------------------------------|----------------------------------------------------|----------------------------------------------------|----------------------------------------------------|----------------------------------------------------|
| See your users with face detection and recognition | Understand your users with Emotion Recognition  | Understand images and intelligently generate thumbnails | Communicate with your users with speech recognition and synthesis | Understand natural language commands tailored to your app |

Getting started
===============

This package contains a suite of SDKs that includes REST wrappers and samples to
develop products using Microsoft Project Oxford. Each SDK includes a guide for
installation and use. To begin, navigate to a tech area and pick the platform of
your choice:

-   [Face](</Face/>)

-   [Emotion](</Emotion/>)

-   [Computer Vision](</Vision/>)

-   [Speech](</Speech/>)

To learn more and sign-up for Project Oxford, [visit our
website](<http://www.ProjectOxford.ai>). You must obtain an [API
key](<http://www.projectoxford.ai/doc/general/subscription-key-mgmt>) and will
need a [Microsoft Azure Account](<http://www.azure.com>).

Contributing
============
We welcome contributions and are always looking for new SDKs, input, and
suggestions. Feel free to file issues on the repo and we'll address them as we can. You can also learn more about how you can help on the [Contribution
Rules & Guidelines](</CONTRIBUTING.md>).

For questions, feedback, or suggestions about Project Oxford services, feel free to reach out to us directly.

-   [Project Oxford support](<mailto:oxfordSup@microsoft.com?subject=Project%20Oxford%20Support>)

-   [Forums](<https://social.msdn.microsoft.com/forums/azure/en-US/home?forum=mlapi>)

-   [Blog](<https://blogs.technet.com/b/machinelearning/archive/tags/project+oxford/default.aspx>)

License
=======

All Project Oxford SDKs and samples are licensed with the MIT License. For more details, see
[LICENSE](</LICENSE.md>).

Sample images are licensed separately, please refer to [LICENSE-IMAGE](</LICENSE-IMAGE.md>).
